Std UserEditMode: Difference between revisions

From FreeCAD Documentation
mNo edit summary
(Toolbar button removed. See: https://github.com/FreeCAD/FreeCAD/pull/7570)
(23 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<translate>

<!--T:1-->
{{Docnav
{{Docnav
|[[Std_Edit|Edit]]
|[[Std_Edit|Edit]]
Line 8: Line 12:
}}
}}


<!--T:2-->
{{GuiCommand
{{GuiCommand
|Name=Std UserEditMode
|Name=Std UserEditMode
|MenuLocation=Edit → Edit mode
|MenuLocation=Edit → Edit mode → ...
|Workbenches=All
|Workbenches=All
|Version=0.20
|Version=0.20
Line 16: Line 21:
}}
}}


==Description==
== Description == <!--T:3-->


<!--T:4-->
The '''Std UserEditMode''' command allows the user to choose what would be the behavior when editing an object when double-clicking it on the [[Tree view]].
The '''Std UserEditMode''' command defines the edit mode to be used when an object is double-clicked in the [[Tree_view|Tree view]].


==Usage==
== Usage == <!--T:5-->


<!--T:6-->
Choose an edit mode among available ones :
# In the menu go to {{MenuCommand|Edit → Edit mode}} and select an edit mode.<!--Please keep the numbered list for consistency with other Std pages-->
# [[File:EditModeDefault.svg|32px]] '''Default''' : the object will be edited with its default mode. The edit mode is defined internally to be the most appropriate according the object type : for example, it will be shape properties edition for Part primitives and PartDesign features, placement edition with transform tool for boolean operations, ...
# [[File:EditModeTransform.svg|32px]] '''Transform''' : the object will have its placement editable with the [[Std_TransformManip|Transform manipulator]]
# [[File:EditModeCutting.svg|32px]] '''Cutting''' : ??? this mode is implemented as available but seems to be currently not used by any object in FreeCAD
# [[File:EditModeColor.svg|32px]] '''Color''' : the object will have its individual faces color editable with the [[Part_FaceColors|face color editor]]


== Available edit modes == <!--T:7-->
==Notes==


=== [[Image:Std_UserEditModeDefault.svg|24px]] Default === <!--T:8-->
* Not all objects support all edit modes. In case the selected edit mode isn't supported by the edited object, it will fall back to its default mode


<!--T:9-->
==Scripting==
The object will be edited using its default mode. This edit mode is defined internally to be the most appropriate for the object type. For example, it will be shape properties edition for [[Part_Primitives|Part primitives]] and [[PartDesign_Feature|PartDesign features]], placement edition for [[Part_Boolean|Part booleans]], etc.


=== [[Image:Std_UserEditModeTransform.svg|24px]] Transform === <!--T:10-->

<!--T:11-->
The object will have its placement editable with the [[Std_TransformManip|Std TransformManip]] command.

=== [[Image:Std_UserEditModeCutting.svg|24px]] Cutting === <!--T:12-->

<!--T:13-->
This edit mode is implemented as available but currently does not seem to be used by any object.

=== [[Image:Std_UserEditModeColor.svg|24px]] Color === <!--T:14-->

<!--T:15-->
The object will have the color of its individual faces editable with the [[Part_FaceColors|Part FaceColors]] command.

== Notes == <!--T:16-->

<!--T:17-->
* Not all objects support all edit modes. If the selected mode isn't supported by the object, its default edit mode will be used instead.

== Preferences == <!--T:18-->

<!--T:19-->
* The last edit mode is stored: {{MenuCommand|Tools → Edit parameters... → BaseApp → Preferences → General → UserEditMode}}. It is an integer value. Possible values are {{Incode|0}} (Default), {{Incode|1}} (Transform), {{Incode|2}} (Cutting) or {{Incode|3}} (Color). The default is {{Incode|0}}.

== Scripting == <!--T:20-->

<!--T:21-->
{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


<!--T:22-->
To list existing editing modes :
To list the available edit modes:

</translate>
{{Code|code=
{{Code|code=
import FreeCADGui
import FreeCADGui
FreeCADGui.listUserEditModes()
FreeCADGui.listUserEditModes()
}}
}}
<translate>


<!--T:23-->
To know currently active mode :
To get the active edit mode:

</translate>
{{Code|code=
{{Code|code=
import FreeCADGui
import FreeCADGui
FreeCADGui.getUserEditMode()
FreeCADGui.getUserEditMode()
}}
}}
<translate>

<!--T:24-->
To set the active edit mode:


</translate>
To change active mode :
{{Code|code=
{{Code|code=
import FreeCADGui
import FreeCADGui
FreeCADGui.setUserEditMode(MODENAME) # With MODENAME a string available in list of modes
FreeCADGui.setUserEditMode(MODENAME) # Where MODENAME is a string available in the list of edit modes
}}
}}
<translate>




<!--T:25-->
{{Docnav
{{Docnav
|[[Std_Edit|Edit]]
|[[Std_Edit|Edit]]
Line 64: Line 109:
}}
}}


</translate>
{{Std Base navi{{#translation:}}}}
{{Std Base navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Revision as of 08:50, 11 October 2022

Other languages:

Std UserEditMode

Menu location
Edit → Edit mode → ...
Workbenches
All
Default shortcut
None
Introduced in version
0.20
See also
Std Edit

Description

The Std UserEditMode command defines the edit mode to be used when an object is double-clicked in the Tree view.

Usage

  1. In the menu go to Edit → Edit mode and select an edit mode.

Available edit modes

Default

The object will be edited using its default mode. This edit mode is defined internally to be the most appropriate for the object type. For example, it will be shape properties edition for Part primitives and PartDesign features, placement edition for Part booleans, etc.

Transform

The object will have its placement editable with the Std TransformManip command.

Cutting

This edit mode is implemented as available but currently does not seem to be used by any object.

Color

The object will have the color of its individual faces editable with the Part FaceColors command.

Notes

  • Not all objects support all edit modes. If the selected mode isn't supported by the object, its default edit mode will be used instead.

Preferences

  • The last edit mode is stored: Tools → Edit parameters... → BaseApp → Preferences → General → UserEditMode. It is an integer value. Possible values are 0 (Default), 1 (Transform), 2 (Cutting) or 3 (Color). The default is 0.

Scripting

See also: FreeCAD Scripting Basics.

To list the available edit modes:

import FreeCADGui
FreeCADGui.listUserEditModes()

To get the active edit mode:

import FreeCADGui
FreeCADGui.getUserEditMode()

To set the active edit mode:

import FreeCADGui
FreeCADGui.setUserEditMode(MODENAME) # Where MODENAME is a string available in the list of edit modes